# API Get Virtual Card Sensitive Data

**Endpoint: GET /v2/vc/virtual-cards/{virtualCardRequestId}/card-data**

**Description: Retrieve detailed encrypted information for a specific virtual card by its request ID.**

### Request

**Request Body Field Descriptions (JSON)**

| Field Name | Type | Required | Description                               |
| ---------- | ---- | -------- | ----------------------------------------- |
| N/A        | N/A  | N/A      | GET request does not require a JSON body. |

**Request sample**

```json
// No request body required for this GET endpoint.
```

#### Response

**Response Field Descriptions**

| Field Name                           | Type   | Description                            |
| ------------------------------------ | ------ | -------------------------------------- |
| code                                 | number | Response code                          |
| state                                | number | State of the response                  |
| data.merchantCode                    | string | Merchant code                          |
| data.virtualCardRequestId            | string | Virtual card request identifier        |
| data.cardEncryptedData.encryptedData | string | Encrypted card data                    |
| data.cardEncryptedData.encryptedKey  | string | Encrypted key for decrypting card data |
| message                              | string | Response message                       |
| neoResponseId                        | string | Unique Neo response identifier         |

**Response sample**

```json
{
  "code": 1,
  "state": 2,
  "data": {
    "merchantCode": "COLRLC",
    "virtualCardRequestId": "dcf35140-f306-4a2d-9435-3c2e2d606c19",
    "cardEncryptedData": {
      "encryptedData": "bjbtE2ZXiyJiNU3wQ0NASbRygKTUClngYDZKR3RnP7vvr1Rw2d9zNdmpR41fPT9+Gyhf1sVz7RWEbzxeobHAuCIBZbYY/v8kDnYblPPL+03dG/xoEVRQHnkYUj2qfL8A8r57oVlWSex9soe27s3vqIa5PTcqGggZh0LzAahfLgs0Ip43mP11ozvqp2p3",
      "encryptedKey": "DylKG9fhcOnWUmx+lk3izP8y2LHmQpiFwZMmvL/2lr7ZhPBqVETTtYVNgS7k0oS0r3vVtsn0rJiPN5gF7v4vM68Ba5/dxyUgbGeoqwHGHiuKUjPY/AiwWkLv+pYodHaXCClYPvNwyzWt4hLUwIWVjo58wm81JFigAbYHoIEFyFw="
    }
  },
  "message": "Successful",
  "neoResponseId": "de7750c5-772e-4136-ac78-62c57a106cce"
}
```

### Example cURL

```bash
curl -X GET "https://{base_url_openapi}/v2/vc/virtual-cards/{virtualCardRequestId}/card-data" \
  -H "Authorization: Bearer <YOUR_TOKEN>" \
  -H "Content-Type: application/json" \
  -H "Accept-Language: en"
```

#### Notes

* Requires Bearer token in the Authorization header.
* The Accept-Language header can be used to specify the response language (Support: "vi", "en").
* No request body required.
* The card data is returned in encrypted form for security.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/virtual-card/virtual-cards/apis/get-detail-virtual-card-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
